<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Міні-проект інтернет магазин</title>
</head>
<body>
<h1>Міні-проект інтернет-магазин</h1>
<p>Уявіть що у нас є інтернет магазин футбольної фан-атрібутики. Ваші продукти зберігаються в файлі products.js, ваші користувачі, які реєструвались і робили замовлення зберігаються в файлі users.js, а їхні замовлення зберігаються в файлі orders.js.</p>
<p>Вам треба реалізувати наступні речі</p>
<ol>
  <li>написати функцію sort, яка буде приймати три параметри - які дані сортуємо(users,products,orders), яке поле сортуємо(наприклад поле price в products) і порядок сортування (asc - по зростанню, desc - по спаданню)</li>
  <li>написати функцію filter, яка буде приймати також три параметри - які дані фільтруємо(users,products,orders), яке поле фільтруємо(наприклад поле description в products) рядок по якому проходить фільтрування</li>
  <li>зробити метод для підрахування загальної ціни замовлення(всередині файлу orders немає ціни, є тільки кількість товару і який товар в замовленні)</li>
  <li>зробити методи для додавання даних в будь-який з файлів. Важливо! зараз ми не вміємо зберігати те що пишемо, тому просто сам метод додавання і нічого іншого, тобто якщо ми подивимось масив після додавання то в ньому буде на 1 елемент більше, але якщо рефрешнемо сторінку то елемент зникне. Ще одна Важлива штука! не треба робити перевірку даних, це робиться на іншому етапі, а сюди вже приходять завжди саме ті дані які потрібні. Метод приймає два параметри - куди складати і сам обʼєкт який додаємо</li>
  <li>зробити метод для редагування існуючого елемента. Приймати він буде де лежить обʼєкт, id обʼєкта, поле яке змінюється і на що ми змінюємо. Знову ж таки перевірку на коректність даних нам робити не потрібно, бо вона робиться на іншому етапі</li>
</ol>
<script src="./js/orders.js"></script>
<script src="./js/products.js"></script>
<script src="./js/users.js"></script>
<script src="./js/script.js"></script>
</body>
</html>
